export interface CustomEventListenerOptions extends AddEventListenerOptions {
    initExecute?: boolean;
}
export declare function useTimeout(): (callback: (...args: any[]) => void, ms: number) => void;
export declare function useToggle<T>(ref: React.RefObject<T>): [boolean, (b?: boolean) => void];
export declare function useWindowEventListener<K extends keyof WindowEventMap>(type: K, callback: (event?: WindowEventMap[K]) => any, options?: boolean | CustomEventListenerOptions): void;
export declare function useDocumentEventListener<K extends keyof DocumentEventMap>(type: K, callback: (event?: DocumentEventMap[K]) => any, options?: boolean | CustomEventListenerOptions): void;
export declare function useEventListener<K extends keyof HTMLElementEventMap>(element: HTMLElement | null, type: K, callback: (event?: HTMLElementEventMap[K]) => any, options?: boolean | CustomEventListenerOptions): void;
export declare function useOutsideClick(callback: (event: MouseEvent) => any, ref: React.RefObject<any>): void;
export declare function useWindowSize(): {
    width: number | undefined;
    height: number | undefined;
    isSemi: boolean;
};
export declare function useQuadrant(parentRef: React.RefObject<any>, cwidth: number, cheight: number, defaultQuadrant: number): number;
export declare function useClientRect<T = Element>(): [
    DOMRect | null,
    (node: T) => void
];
export declare function useHTMLElement<T = HTMLElement>(): [
    HTMLElement | null,
    (node: T) => void
];
